Tweak autogen.sh.
diff --git a/ChangeLog b/ChangeLog
index 55386e2..011cd87 100644
--- a/ChangeLog
+++ b/ChangeLog
@@ -1,5 +1,10 @@
 2016-12-25  Bruno Haible  <bruno@clisp.org>
 
+	Tweak autogen.sh.
+	* autogen.sh: Emit a "done" diagnostic when autogen.sh completed successfully.
+
+2016-12-25  Bruno Haible  <bruno@clisp.org>
+
 	Reorder Makefile.devel.
 	* Makefile.devel: Reorder: put gnulib targets before autotools targets.
 
diff --git a/autogen.sh b/autogen.sh
index a1a681f..3a0cad4 100755
--- a/autogen.sh
+++ b/autogen.sh
@@ -66,7 +66,7 @@
   fi
 fi
 
-make -f Makefile.devel totally-clean all
+make -f Makefile.devel totally-clean all || exit $?
 
 # Copy files into the libcharset subpackage, so that libcharset/autogen.sh
 # does not need to invoke gnulib-tool nor automake.
@@ -81,5 +81,7 @@
 done
 
 (cd libcharset
- ./autogen.sh
+ ./autogen.sh || exit $?
 )
+
+echo "$0: done.  Now you can run './configure'."